Bug 26798 - Remove the use of jquery.checkboxes plugin from patron detail page
Summary: Remove the use of jquery.checkboxes plugin from patron detail page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 26806 26006
  Show dependency treegraph
 
Reported: 2020-10-23 13:34 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26798: Remove the use of jquery.checkboxes plugin from patron detail page (1.46 KB, patch)
2020-10-23 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Attachment to Bug 26798 - Remove the use of jquery.checkboxes plugin from patron detail page (1.52 KB, patch)
2020-10-24 20:21 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26798: Remove the use of jquery.checkboxes plugin from patron detail page (1.57 KB, patch)
2020-10-25 01:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 13:34:04 UTC
The patron detail page (moremember.tt) includes the jquery.checkboxes plugin but do not use them. The include should be removed.
Comment 1 Owen Leonard 2020-10-23 13:45:23 UTC
Created attachment 112274 [details] [review]
Bug 26798: Remove the use of jquery.checkboxes plugin from patron detail page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron detail page (moremember.tt). The plugin is unused.

To test, apply the patch and locate a patron with checkouts.

- View the details for that patron.
- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.
Comment 2 Lisette Scheer 2020-10-24 20:21:23 UTC
Created attachment 112398 [details] [review]
Attachment to Bug 26798 - Remove the use of jquery.checkboxes plugin from patron detail page

Bug 26798: Remove the use of jquery.checkboxes plugin from patron detail page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron detail page (moremember.tt). The plugin is unused.

To test, apply the patch and locate a patron with checkouts.

- View the details for that patron.
- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2020-10-25 01:25:50 UTC
Created attachment 112443 [details] [review]
Bug 26798: Remove the use of jquery.checkboxes plugin from patron detail page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron detail page (moremember.tt). The plugin is unused.

To test, apply the patch and locate a patron with checkouts.

- View the details for that patron.
- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:28 UTC
Pushed to master for 20.11, thanks to everybody involved!